Package javax.validation

# Enum Class ElementKind

java.lang.Object
java.lang.Enum<ElementKind>
javax.validation.ElementKind

All Implemented Interfaces:
  `Serializable`, `Comparable<ElementKind>`, `Constable`

public enum ElementKind extends Enum<ElementKind>

Since:
  1.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BEAN`
`CONSTRUCTOR`
`CROSS_PARAMETER`
`METHOD`
`PARAMETER`
`PROPERTY`
`RETURN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`static ElementKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ElementKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BEAN

public static final ElementKind BEAN

### PROPERTY

public static final ElementKind PROPERTY

### METHOD

public static final ElementKind METHOD

### CONSTRUCTOR

public static final ElementKind CONSTRUCTOR

### PARAMETER

public static final ElementKind PARAMETER

### CROSS_PARAMETER

public static final ElementKind CROSS_PARAMETER

### RETURN_VALUE

public static final ElementKind RETURN_VALUE

## Method Details

### values

public static ElementKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ElementKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null